Skip to main content

Initiate rebalancing.

Required role: write or higher.

Initiate immediate rebalancing of the pipeline. Normally rebalancing is initiated automatically when the drift in the size of joined relations exceeds a threshold. This endpoint forces the balancer to reevaluate and apply an optimal partitioning policy regardless of the threshold.

This operation is a no-op unless the adaptive_joins feature is enabled in dev_tweaks.

Path Parameters
pipeline_name string — REQUIRED

Unique pipeline name

Responses
200

Rebalancing started successfully

404

Pipeline with that name does not exist

Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.

500
Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.